Loading...
Searching...
No Matches
BALL::Exception::NoBufferAvailable Class Reference

`#include <BALL/COMMON/exception.h>`

Inheritance diagram for BALL::Exception::NoBufferAvailable:

## Public Member Functions

| NoBufferAvailable (const char *file, int line, const String &reason)
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Additional Inherited Members

const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

RenderTarget error A buffer was requested from RenderTarget but could not be supplied for some reason at the given moment. Additional parameter reason gives the reason why the buffer could not be provided.

Definition at line 461 of file COMMON/exception.h.

## Constructor & Destructor Documentation

## NoBufferAvailable()

BALL::Exception::NoBufferAvailable::NoBufferAvailable | ( | const char * | file,
|  | int | line,
|  | const String & | reason )